Bug 176245 - "rdesktop -r clipboard:no" is not recognized
"rdesktop -r clipboard:no" is not recognized
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Carl Worth
Depends On:
  Show dependency treegraph
Reported: 2005-12-20 10:45 EST by James Hunt
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-25 05:34:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Hunt 2005-12-20 10:45:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; es-ES; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
File /usr/share/doc/rdesktop-1.4.0/redirection.txt, bundled with rdesktop, lists all the valid redirection modules for rdesktop, including:


clipboard mapping
Multiple mappings possible: no
Default: yes
Syntax: -r clipboard:[yes|no]
Example: -r clipboard:no


The default is most definately "on" since when you copy in your Windows session, you can see the data in your local "xclipboard" window suddenly appear, however, this command should work, according to the documentation:

  rdesktop -r clipboard:no server.com

However, it doesn't.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run, "xclipboard"
2. Run, "rdesktop -r clipboard:no server.com"
3. Observe the message displayed
4. Copy some text to the Windows clipboard (ie, highlight some text
   and do "Edit->Copy")
5. Observe the copied text appear in the xclipboard window


Actual Results:  A warning message is displayed, and the clipboard is still redirected:


WARNING: Unknown -r argument

        Possible arguments are: comport, disk, lptport, printer, sound


Expected Results:  In the steps above, step (5) show show _no_ text in the xclipboard window.

Additional info:

The source code of rdesktop doesn't mention "clipboard" when parsing the "-r" option.

The "-r clipboard:no" facility would be exceptionally useful since if you attempt to copy a "complex object" like an actual file rather than just some text, what happens is that xclipboard receives just the _name_ of the file, so when you attempt to paste the file in Windows, nothing happens since all the "magic windows clipboard stuff" has been stripped away.

If this could be fixed, it would be a Windows/Linux interoperability boon IMHO ;-)
Comment 1 Christian Iseli 2007-01-22 06:48:10 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 2 James Hunt 2007-01-25 05:34:56 EST
Yipee: rdesktop-1.5.0-1 running on fc6 no longer has this limitation: "rdesktop
-r clipboard:CLIPBOARD" allows copying of data to/from a remote Windoz box.

This bug can now be closed.

Note You need to log in before you can comment on or make changes to this bug.